package com.steerinfo.meterwork.meterworkhookactual.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkhookactual.model.MeterWorkHookActual;
import java.math.*;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.steerinfo.meterwork.meterworkrailwayactual.model.MeterWorkRailwayActual;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface MeterWorkHookActualMapper extends IBaseMapper<MeterWorkHookActual, String> {
    String getNewID(String format);

    /**
     * 根据传入时间和车号，查询给定时间段去重车号
     * @param obj
     * @return
     */
    List<MeterWorkHookActual> distinctCarNo(HashMap<String, Object> obj);

    MeterWorkHookActual manualAddPre(String actualFirstNo, String dataNo, String predictionNo);

    MeterWorkHookActual manualAdd(String actualFirstNo, String dataNo);

    MeterWorkHookActual matchPredcition(String actualNo, String predictionNo);

    MeterWorkHookActual cleanPredcition(String actualNo);

    void insertSelectiveBar(MeterWorkHookActual netHook);
    List<MeterWorkHookActual> selectByParameter(Map<String, Object> params);
}